Bug 1882 - NullPointerException, on container while (aparently) looking for CRLs
: NullPointerException, on container while (aparently) looking for CRLs
Status: RESOLVED FIXED
: CoG jglobus
security
: 1.1
: PC NetBSD
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-08-11 16:52 by
Modified: 2005-12-05 17:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-11 16:52:56
The container started with no problems, then in another window I issued a
managed-job-globusrun command, which failed as shown below, and also
recieved errors on the container.

 managed-job-globusrun -factory
http://cafe-bastille:8080/ogsa/services/base/gram/MasterForkManagedJobFactoryService
-file /usr/local/globus/schema/base/gram/examples/test.xml
[08/11/2004 21:39:33:992 ]
org.globus.ogsa.impl.security.authentication.X509SignHandler [handleMessage:94]
ERROR: Failed to sign message
org.globus.gsi.GlobusCredentialException: Proxy file (/var/tmp/x509up_u_mel) not
found.
        at org.globus.gsi.GlobusCredential.<init>(GlobusCredential.java:88)
        at
org.globus.gsi.GlobusCredential.getDefaultCredential(GlobusCredential.java:467)
        at
org.globus.ogsa.impl.security.authentication.X509WSSignedSOAPEnvelopeBuilder.getCredential(X509WSSignedSOAPEnvelopeBuilder.java:47)
        at
org.globus.ogsa.impl.security.authentication.X509WSSignedSOAPEnvelopeBuilder.buildMessage(X509WSSignedSOAPEnvelopeBuilder.java:58)
        at
org.globus.ogsa.impl.security.authentication.X509SignHandler.handleMessage(X509SignHandler.java:92)
        at
org.globus.ogsa.impl.security.authentication.X509SignHandler.handleRequest(X509SignHandler.java:32)
        at
org.apache.axis.handlers.HandlerChainImpl.handleRequest(HandlerChainImpl.java:136)
        at org.apache.axis.handlers.JAXRPCHandler.invoke(JAXRPCHandler.java:82)
        at org.globus.ogsa.utils.JAXRPCHandler.invoke(JAXRPCHandler.java:16)
        at
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:71)
        at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:150)
        at org.apache.axis.SimpleChain.invoke(SimpleChain.java:120)
        at org.apache.axis.client.AxisClient.invoke(AxisClient.java:167)
        at org.apache.axis.client.Call.invokeEngine(Call.java:2564)
        at org.apache.axis.client.Call.invoke(Call.java:2553)
        at org.apache.axis.client.Call.invoke(Call.java:2248)
        at org.apache.axis.client.Call.invoke(Call.java:2171)
        at org.apache.axis.client.Call.invoke(Call.java:1691)
        at
org.gridforum.ogsi.bindings.FactorySOAPBindingStub.createService(FactorySOAPBindingStub.java:773)
        at
org.globus.ogsa.utils.GridServiceFactory.createService(GridServiceFactory.java:136)
        at
org.globus.ogsa.utils.GridServiceFactory.createService(GridServiceFactory.java:60)
        at
org.globus.ogsa.impl.base.gram.client.GramJob.createService(GramJob.java:612)
        at
org.globus.ogsa.impl.base.gram.client.GramJob.createService(GramJob.java:566)
        at org.globus.ogsa.impl.base.gram.client.GramJob.request(GramJob.java:471)
        at
org.globus.ogsa.impl.base.gram.client.GlobusRun.processJob(GlobusRun.java:1098)
        at
org.globus.ogsa.impl.base.gram.client.GlobusRun.submitRSL(GlobusRun.java:1064)
        at
org.globus.ogsa.impl.base.gram.client.GlobusRun.processArguments(GlobusRun.java:835)
        at
org.globus.ogsa.impl.base.gram.client.GlobusRun.<init>(GlobusRun.java:391)
        at org.globus.ogsa.impl.base.gram.client.GlobusRun.main(GlobusRun.java:387)

THE FOLLOWING TRACEBACK IS FROM THE CONTAINER.

[08/11/2004 21:42:18:308 ]
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityBasicHandler
[handleMessage:44] ERROR: Error processing message
java.lang.NullPointerException
        at java.util.StringTokenizer.<init>(StringTokenizer.java:146)
        at java.util.StringTokenizer.<init>(StringTokenizer.java:162)
        at
org.globus.gsi.CertificateRevocationLists.getDefaultCRLLocations(CertificateRevocationLists.java:190)
        at
org.globus.gsi.CertificateRevocationLists.getDefault(CertificateRevocationLists.java:179)
        at
org.globus.gsi.CertificateRevocationLists.getDefaultCertificateRevocationLists(CertificateRevocationLists.java:168)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityEngine.verifyXMLSignature(WSSecurityEngine.java:225)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityRequestEngine.verifyXMLSignature(WSSecurityRequestEngine.java:227)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityEngine.handleSignatureElement(WSSecurityEngine.java:80)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityEngine.processSecurityHeader(WSSecurityEngine.java:383)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityEngine.processSecurityHeader(WSSecurityEngine.java:356)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityEngine.processSecurityHeader(WSSecurityEngine.java:308)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityBasicHandler.handleMessage(WSSecurityBasicHandler.java:34)
        at
org.globus.ogsa.impl.security.authentication.wssec.WSSecurityHandler.handleRequest(WSSecurityHandler.java:21)
        at
org.apache.axis.handlers.HandlerChainImpl.handleRequest(HandlerChainImpl.java:136)
        at org.apache.axis.handlers.JAXRPCHandler.invoke(JAXRPCHandler.java:82)
        at org.globus.ogsa.utils.JAXRPCHandler.invoke(JAXRPCHandler.java:16)
        at
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:71)
        at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:150)
        at org.apache.axis.SimpleChain.invoke(SimpleChain.java:120)
        at org.apache.axis.server.AxisServer.invoke(AxisServer.java:287)
        at org.globus.ogsa.server.ServiceThread.doPost(ServiceThread.java:438)
        at org.globus.ogsa.server.ServiceThread.process(ServiceThread.java:287)
        at org.globus.ogsa.server.ServiceThread.run(ServiceThread.java:185)
------- Comment #1 From 2004-08-11 21:21:34 -------
see 1874, same problem/fix

------- Comment #2 From 2004-08-11 22:58:41 -------
A fix was committed to jglobus cvs. Thanks for catching this.
------- Comment #3 From 2004-12-16 14:10:30 -------
*** Bug 2448 has been marked as a duplicate of this bug. ***